package com.keyware.sonar.java.rules.checkers;

import com.keyware.sonar.java.utils.FilesUtils;
import org.junit.jupiter.api.Test;
import org.sonar.java.checks.verifier.CheckVerifier;

public class UpperCycleLimitRuleCheckerTest {

    @Test
    void detected() {


        UpperCycleLimitRuleChecker rule = new UpperCycleLimitRuleChecker();


        // Verifies that the check will raise the adequate issues with the expected message.
        // In the test file, lines which should raise an issue have been commented out
        // by using the following syntax: "// Noncompliant {{EXPECTED_MESSAGE}}"
        CheckVerifier.newVerifier()
                .onFile("src/test/files/UpperCycleLimitRule.java")
                .withCheck(rule)
                .withClassPath(FilesUtils.getClassPath("target/test-jars"))
                .verifyIssues();


    }

}
